> ## Documentation Index
> Fetch the complete documentation index at: https://docs.sync.cdata.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create Workspace

> Creates a new workspaces object with the specified parameters.



## OpenAPI

````yaml /26.3/en/rest-api/openapi-v1.json post /workspaces
openapi: 3.0.1
info:
  title: CData OpenAPI
  version: 26.3.0
servers:
  - url: '{baseUrl}'
    variables:
      baseUrl:
        default: https://sync.example.com/api.rsc
        description: >-
          Base URL of your Sync instance, including scheme and application path
          (e.g. https://sync.example.com/api.rsc).
security: []
paths:
  /workspaces:
    post:
      tags:
        - workspaces
      summary: Create Workspace
      description: Creates a new workspaces object with the specified parameters.
      operationId: createworkspaces
      requestBody:
        description: The workspaces entity to post
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/workspaces'
        required: true
      responses:
        '201':
          description: workspaces created
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/workspaces'
        default:
          description: Unexpected error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CDataError'
      security:
        - basic: []
        - authtoken_header: []
        - authtoken_query: []
components:
  schemas:
    workspaces:
      type: object
      properties:
        Id:
          description: The id of the workspace.
          type: string
        Name:
          description: The name of the workspace.
          type: string
        VersionControlEnabled:
          description: Whether version control is enabled
          type: boolean
      required:
        - Name
    CDataError:
      type: object
      properties:
        error:
          $ref: '#/components/schemas/CDataInError'
    CDataInError:
      type: object
      properties:
        code:
          type: string
        message:
          type: string
  securitySchemes:
    basic:
      scheme: basic
      type: http
    authtoken_header:
      type: apiKey
      in: header
      name: x-cdata-authtoken
    authtoken_query:
      type: apiKey
      in: query
      name: '@authtoken'

````